org.apache.ignite.internal.visor

## Class VisorTaskArgument<A>

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.VisorTaskArgument<A>

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorTaskArgument<A>
    extends VisorDataTransferObject

Visor tasks argument.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorTaskArgument()` Default constructor.
`VisorTaskArgument(Collection<UUID> nodes, A arg, boolean debug)` Create Visor task argument.
`VisorTaskArgument(Collection<UUID> nodes, boolean debug)` Create Visor task argument with nodes, but without actual argument.
`VisorTaskArgument(UUID node, A arg, boolean debug)` Create Visor task argument.
`VisorTaskArgument(UUID node, boolean debug)` Create Visor task argument with nodes, but without actual argument.

### Method Summary

All Methods Instance Methods Concrete Methods
`A` `getArgument()`
`List<UUID>` `getNodes()`
`boolean` `isDebug()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorTaskArgument

    public VisorTaskArgument()

Default constructor.

#### VisorTaskArgument

    public VisorTaskArgument(Collection<UUID> nodes,
                             A arg,
                             boolean debug)

Create Visor task argument.

Parameters:
  `nodes` - Node IDs task should be mapped to.
  `arg` - Task argument.
  `debug` - Debug flag.

#### VisorTaskArgument

    public VisorTaskArgument(Collection<UUID> nodes,
                             boolean debug)

Create Visor task argument with nodes, but without actual argument.

Parameters:
  `nodes` - Node IDs task should be mapped to.
  `debug` - Debug flag.

#### VisorTaskArgument

    public VisorTaskArgument(UUID node,
                             A arg,
                             boolean debug)

Create Visor task argument.

Parameters:
  `node` - Node ID task should be mapped to.
  `arg` - Task argument.
  `debug` - Debug flag.

#### VisorTaskArgument

    public VisorTaskArgument(UUID node,
                             boolean debug)

Create Visor task argument with nodes, but without actual argument.

Parameters:
  `node` - Node ID task should be mapped to.
  `debug` - Debug flag.

### Method Detail

#### getNodes

    public List<UUID> getNodes()

Returns:
  Node IDs task should be mapped to.

#### getArgument

    public A getArgument()

Returns:
  Task argument.

#### isDebug

    public boolean isDebug()

Returns:
  Debug flag.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023